It doesnt work anymore :-(((( please fix it soon Rated 5 out of 5 stars

Hello. I love this Addon a lot. It helps to dev. quick a script with less write. But after the last updates of Firebug (from 1.13 to 2.04) it seems not longer work. Please fix that soon. It's not a (secure) solution to disable all Addons-Updates for me.

Rated 5 out of 5 stars

جيد جداً ومفيد

Rated 5 out of 5 stars

My son says that this is a great addon to a already great addon

Rated 4 out of 5 stars

The addon is great but unfortunately it doesn't seem to work when you open firebug in a new window and the console is in multiline mode.

I've seen that Cold Sun has given some sort of solution to the problem but I don't really know how to do it.

Any help would be really appreciated! :D

Cheers!

Rated 4 out of 5 stars

To fix the issue when Firebug is in a new window (where auto-completion doesn't work), change chrome/content/firebug.js line 59 like above:


--- firebug.js 2013-07-20 18:58:34.150803544 +0200
+++ firebug.js.new 2013-07-20 18:58:16.891802654 +0200
@@ -56,7 +56,7 @@
},
get firebug(){
return (typeof Firebug === 'object') && Firebug ||
- (Object.prototype.toString.call(opener) === '[object Window]' && opener.Firebug) && opener.Firebug;
+ (Object.prototype.toString.call(opener) === '[object ChromeWindow]' && opener.Firebug) && opener.Firebug;
},
get editor(){
return this.firebug.CommandEditor.editor;


Please, consider giving ways to contact you for that sort of request. Thanks in advance!

Florent

Rated 4 out of 5 stars

Nice addon.
To (temporary) fix the problem with the white on gray selected item you could do the following.
Find the overlay.css file.

~/.mozilla/firefox/***/extensions/{9aad3da6-6c46-4ef0-9109-6df5eaaf597c}.xpi:chrome/skin/classic/style/overlay.css

And comment the line as follows:

menuitem.FirebugAutocompleter_popup_menuitem {
/* -moz-appearance: none !important; */
}

little bug Rated 4 out of 5 stars

Cool but.. latest version doesn't work with "firebug on separate window"

Thanks for that cool add-on, but please fix the white font color of the selected hint Rated 5 out of 5 stars

experiencing the same problem as @grzegrz, please fix

Awesome Rated 5 out of 5 stars

It is a life saver in most situations. Thanks for this.

OK but with small bug Rated 4 out of 5 stars

This add-on is great and do it's staff well but current hint's font is white so I can see it at all! I need to go to the next one to make sure that the above was the right choice. Pretty annoying. Could you add colour of current hint in preferences?

This review is for a previous version of the add-on (1.4.0). 

Seems to break Firebug 1.10.2 Rated 1 out of 5 stars

I couldn't find any support section so here it is as a review. When I open Firebug Console the input area is grayed out when in multi line. When I disable Autocompleter, the problem goes away. A shame. This was a nice addon.

This review is for a previous version of the add-on (1.4.0). 

i like it Rated 4 out of 5 stars

is there an easy way to call history using keybord like up down?

This review is for a previous version of the add-on (1.3.3). 

+1 Rated 4 out of 5 stars

十分好用

This review is for a previous version of the add-on (1.3.3). 

Rated 4 out of 5 stars

Fantastic tool which not only shows normal DOM objects and methods, by all of my own objects and methods too.

Only gripe is that I wish I could change the auto-complete keybind from Enter to Right-Arrow or Tab or something else.

This review is for a previous version of the add-on (1.3.2.1). 

Rated 5 out of 5 stars

I tried the version 1.3.2.1 and this addon is getting better

This review is for a previous version of the add-on (1.3.1).  This user has a previous review of this add-on.

Addon Requires Additional Items Rated 2 out of 5 stars

w/FF 3.6.18, & Fbug 1.7.3, this addon is self-disabled with an error:REQUIRES ADDITIONAL ITEMS...no hint as to what other items are needed...:-(

p.s. I would have give this 'no rating', since I don't feel I should have to give a rating for something
that I can't get to work in the first place that may be no fault of the addon...

This review is for a previous version of the add-on (1.3.1). 

Rated 5 out of 5 stars

Really great!! Found incompatibility with Acebug :(

This review is for a previous version of the add-on (1.3.1). 

Linux compatibility Rated 3 out of 5 stars

Hi,

When will be there a Linux compatibility ?

This review is for a previous version of the add-on (1.3.1). 

Rated 5 out of 5 stars

Make an option to trigger auto-completion on space and dot
(best would be to define list of characters after wich auto-completion is triggered)
Microsoft's IntelliSense uses this method

This review is for a previous version of the add-on (1.3.1). 

Rated 5 out of 5 stars

Hi,

plz make an update for FF 4.b10 and later.

Regards
Chris

This review is for a previous version of the add-on (1.2.1.1).